#
# spec file for package python-orderly-set
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-orderly-set
Version:        5.4.1
Release:        1.1
Summary:        Orderly set
License:        MIT
URL:            https://github.com/seperman/orderly-set
Source:         https://files.pythonhosted.org/packages/source/o/orderly-set/orderly_set-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Orderly set

%prep
%autosetup -p1 -n orderly_set-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/orderly_set
%{python_sitelib}/orderly_set-%{version}.dist-info

%changelog
* Mon Jun  2 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 5.4.1
  * Making it compatible with python 3.8
- from versiom 5.4.0
  * index() is not compatible with pandas anymore. Instead use
    indexes when you need to get the indexes for multiple items.
* Mon Apr 14 2025 Dirk Müller <dmueller@suse.com>
- update to 5.3.2:
  * Adding more type hints
  * adding the ability to make a stableset immutable
* Mon Oct 28 2024 Dirk Müller <dmueller@suse.com>
- Initial package (5.2.3)
